| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
spline.hpp File Reference

GLM_GTX_spline More...

Go to the source code of this file.

## Functions
template<typename genType >
GLM_FUNC_DECL genType | catmullRom (genType const &v1, genType const &v2, genType const &v3, genType const &v4, typename genType::value_type const &s)
| Return a point from a catmull rom curve. More...
template<typename genType >
GLM_FUNC_DECL genType | cubic (genType const &v1, genType const &v2, genType const &v3, genType const &v4, typename genType::value_type const &s)
| Return a point from a cubic curve. More...
template<typename genType >
GLM_FUNC_DECL genType | hermite (genType const &v1, genType const &t1, genType const &v2, genType const &t2, typename genType::value_type const &s)
| Return a point from a hermite curve. More...

## Detailed Description

GLM_GTX_spline

See also
  Core features (dependence)

Definition in file spline.hpp.